package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.BizProject;

/**
 * 项目Service接口
 * 
 * @author ruoyi
 * @date 2025-08-28
 */
public interface IBizProjectService 
{
    /**
     * 查询项目
     * 
     * @param projectId 项目主键
     * @return 项目
     */
    public BizProject selectBizProjectByProjectId(Long projectId);

    /**
     * 查询项目列表
     * 
     * @param bizProject 项目
     * @return 项目集合
     */
    public List<BizProject> selectBizProjectList(BizProject bizProject);

    /**
     * 新增项目
     * 
     * @param bizProject 项目
     * @return 结果
     */
    public int insertBizProject(BizProject bizProject);

    /**
     * 修改项目
     * 
     * @param bizProject 项目
     * @return 结果
     */
    public int updateBizProject(BizProject bizProject);

    /**
     * 批量删除项目
     * 
     * @param projectIds 需要删除的项目主键集合
     * @return 结果
     */
    public int deleteBizProjectByProjectIds(Long[] projectIds);

    /**
     * 删除项目信息
     * 
     * @param projectId 项目主键
     * @return 结果
     */
    public int deleteBizProjectByProjectId(Long projectId);
}
